<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: gtest_xml_test_utils.GTestXMLTestCase Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classgtest__xml__test__utils_1_1GTestXMLTestCase.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">gtest_xml_test_utils.GTestXMLTestCase Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for gtest_xml_test_utils.GTestXMLTestCase:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgtest__xml__test__utils_1_1GTestXMLTestCase__inherit__graph.svg" width="687" height="118"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for gtest_xml_test_utils.GTestXMLTestCase:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgtest__xml__test__utils_1_1GTestXMLTestCase__coll__graph.svg" width="206" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a977273e8863f4f41d121bb5a64b08d32"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgtest__xml__test__utils_1_1GTestXMLTestCase.html#a977273e8863f4f41d121bb5a64b08d32">AssertEquivalentNodes</a> (self, expected_node, actual_node)</td></tr>
<tr class="separator:a977273e8863f4f41d121bb5a64b08d32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4823e96c3b5327b25a340a3605447d9"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgtest__xml__test__utils_1_1GTestXMLTestCase.html#ac4823e96c3b5327b25a340a3605447d9">NormalizeXml</a> (self, element)</td></tr>
<tr class="separator:ac4823e96c3b5327b25a340a3605447d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a0e3a4e84e18f29d2248dcd670a0a6ae6"><td class="memItemLeft" align="right" valign="top">dictionary&#160;</td><td class="memItemRight" valign="bottom"><b>identifying_attribute</b></td></tr>
<tr class="separator:a0e3a4e84e18f29d2248dcd670a0a6ae6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Base class for tests of Google Test's XML output functionality.
</pre> </div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a977273e8863f4f41d121bb5a64b08d32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a977273e8863f4f41d121bb5a64b08d32">&#9670;&nbsp;</a></span>AssertEquivalentNodes()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def gtest_xml_test_utils.GTestXMLTestCase.AssertEquivalentNodes </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>expected_node</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>actual_node</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Asserts that actual_node (a DOM node object) is equivalent to
expected_node (another DOM node object), in that either both of
them are CDATA nodes and have the same value, or both are DOM
elements and actual_node meets all of the following conditions:

*  It has the same tag name as expected_node.
*  It has the same set of attributes as expected_node, each with
   the same value as the corresponding attribute of expected_node.
   Exceptions are any attribute named "time", which needs only be
   convertible to a floating-point number and any attribute named
   "type_param" which only has to be non-empty.
*  It has an equivalent set of child nodes (including elements and
   CDATA sections) as expected_node.  Note that we ignore the
   order of the children as they are not guaranteed to be in any
   particular order.
</pre> 
</div>
</div>
<a id="ac4823e96c3b5327b25a340a3605447d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4823e96c3b5327b25a340a3605447d9">&#9670;&nbsp;</a></span>NormalizeXml()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def gtest_xml_test_utils.GTestXMLTestCase.NormalizeXml </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>element</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Normalizes Google Test's XML output to eliminate references to transient
information that may change from run to run.

*  The "time" attribute of &lt;testsuites&gt;, &lt;testsuite&gt; and &lt;testcase&gt;
   elements is replaced with a single asterisk, if it contains
   only digit characters.
*  The "timestamp" attribute of &lt;testsuites&gt; elements is replaced with a
   single asterisk, if it contains a valid ISO8601 datetime value.
*  The "type_param" attribute of &lt;testcase&gt; elements is replaced with a
   single asterisk (if it sn non-empty) as it is the type name returned
   by the compiler and is platform dependent.
*  The line info reported in the first line of the "message"
   attribute and CDATA section of &lt;failure&gt; elements is replaced with the
   file's basename and a single asterisk for the line number.
*  The directory names in file paths are removed.
*  The stack traces are removed.
</pre> 
</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a0e3a4e84e18f29d2248dcd670a0a6ae6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e3a4e84e18f29d2248dcd670a0a6ae6">&#9670;&nbsp;</a></span>identifying_attribute</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">dictionary gtest_xml_test_utils.GTestXMLTestCase.identifying_attribute</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=  {</div>
<div class="line">      <span class="stringliteral">&#39;testsuites&#39;</span>: <span class="stringliteral">&#39;name&#39;</span>,</div>
<div class="line">      <span class="stringliteral">&#39;testsuite&#39;</span>: <span class="stringliteral">&#39;name&#39;</span>,</div>
<div class="line">      <span class="stringliteral">&#39;testcase&#39;</span>: <span class="stringliteral">&#39;name&#39;</span>,</div>
<div class="line">      <span class="stringliteral">&#39;failure&#39;</span>: <span class="stringliteral">&#39;message&#39;</span>,</div>
<div class="line">      <span class="stringliteral">&#39;skipped&#39;</span>: <span class="stringliteral">&#39;message&#39;</span>,</div>
<div class="line">      <span class="stringliteral">&#39;property&#39;</span>: <span class="stringliteral">&#39;name&#39;</span>,</div>
<div class="line">  }</div>
</div><!-- fragment -->
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>gtest_xml_test_utils.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>gtest_xml_test_utils</b></li><li class="navelem"><a class="el" href="classgtest__xml__test__utils_1_1GTestXMLTestCase.html">GTestXMLTestCase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
